(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     55249,       1211]
NotebookOptionsPosition[     55600,       1201]
NotebookOutlinePosition[     56252,       1226]
CellTagsIndexPosition[     56209,       1223]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{Cell[TextData[{
   StyleBox["\t",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.85, 0.85]],
   StyleBox["  F-Tool :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["F-Quadratic",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox["\n\tAuthors :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Ana C. Concei\[CCedilla]\[ATilde]o",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Jos\[EAcute] C. Pereira",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["C\[AAcute]tia M. Silva",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", and ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Cristina R. Sim\[ATilde]o",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox["                            \n\t     Year :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["2012",
    FontFamily->"Optima",
    FontSize->18,
    Background->None]
  }], "Section",
   CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
    3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
    3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
   FontFamily->"Courier",
   FontSize->14,
   Background->RGBColor[0.8, 0.8, 0.4]], 
  TagBox[
   StyleBox[
    DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`firstD$$ = 
     False, $CellContext`h$$ = 0, $CellContext`k$$ = 
     0, $CellContext`origin$$ = False, $CellContext`rationalize$$ = 
     True, $CellContext`secondD$$ = False, $CellContext`tangent$$ = 
     False, $CellContext`x0$$ = 0, $CellContext`xx$$ = 
     False, $CellContext`yy$$ = False, Typeset`show$$ = True, 
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
     "\"untitled\"", Typeset`specs$$ = {{
       Hold[
        Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`rationalize$$], True, ""}, {
       True -> "Exact", False -> "Approximate"}}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`a$$], 1}, -5, 5, 0.01}, {{
        Hold[$CellContext`h$$], 0}, -5, 5, 0.01}, {{
        Hold[$CellContext`k$$], 0}, -5, 5, 0.01}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`firstD$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Derivative[1][$CellContext`f][$CellContext`x], 16]]]]]}, {
       True, False}}, {{
        Hold[$CellContext`secondD$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Derivative[2][$CellContext`f][$CellContext`x], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"      ", 
          Manipulate`Place[1], "          ", 
          Row[{
            Manipulate`Place[2]}], "   "}]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Symmetry\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"X\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`xx$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Row[{-$CellContext`f[$CellContext`x], "   "}], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[3]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"Y\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`yy$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Row[{
               $CellContext`f[-$CellContext`x], "   "}], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[4]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"Axes\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)\!\(\*\nStyleBox[\"Origin\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`origin$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[-$CellContext`f[-$CellContext`x], 16]]]]]}, {True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[5]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \
\"0\"],\nFontSize->14]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`tangent$$], False, 
        "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"Line\",\nFontSize->14,\nFontSlant->\"Italic\"]\)"}, {
       True, False}}, {
       Hold[
        Row[{"      ", 
          Manipulate`Place[6]}]], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`x0$$], 0}, -10, 10, 0.01}, {
       Hold[
        Dynamic[
         If[$CellContext`tangent$$, 
          Row[{"      ", 
            Manipulate`Place[7]}], ""]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Row[{
          Style[
          "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)", Bold], 
          Style[" \[DoubleStruckCapitalR]", 16]}]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[" "], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         Style[
          Row[
           If[$CellContext`a$$ < 0, {
             Style[" Range = ", Bold], 
             Style["]-\[Infinity],", 16], 
             If[$CellContext`rationalize$$, 
              Rationalize[$CellContext`k$$], $CellContext`k$$], 
             Style["]", 16]}, 
            If[$CellContext`a$$ > 0, {
              Style[" Range = ", Bold], 
              Style["[", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$], 
              Style[",+\[Infinity][", 16]}, {
              Style[" Range = ", Bold], 
              Style["{", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$], 
              Style["}", 16]}]]], 14]]], Manipulate`Dump`ThisIsNotAControl}, {
      
       Hold[
        Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         If[
          Or[$CellContext`a$$ $CellContext`k$$ > 0, 
           And[$CellContext`a$$ == 0, $CellContext`k$$ != 0]], 
          Style["     No Real Zeros", 14], 
          If[
           And[$CellContext`a$$ == 0, $CellContext`k$$ == 0], 
           $CellContext`TradForm[
            
            Row[{"     ", $CellContext`x, 
              "\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)"}], 16], 
           If[$CellContext`k$$ == 0, 
            $CellContext`TradForm[
             Row[{"     ", $CellContext`x, 
               If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`h$$], $CellContext`h$$]}], 16], 
            $CellContext`TradForm[
             Row[{"     ", $CellContext`x, 
               If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
               If[$CellContext`rationalize$$, 
                FullSimplify[Rationalize[$CellContext`h$$] - Sqrt[
                  Rationalize[(-$CellContext`k$$)/$CellContext`a$$]]], 
                
                FullSimplify[$CellContext`h$$ - 
                 Sqrt[(-$CellContext`k$$)/$CellContext`a$$]]], 
               "  \[Or]  ", $CellContext`x, 
               If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
               If[$CellContext`rationalize$$, 
                FullSimplify[Rationalize[$CellContext`h$$] + Sqrt[
                   Rationalize[(-$CellContext`k$$)/$CellContext`a$$]]], 
                
                FullSimplify[$CellContext`h$$ + 
                 Sqrt[(-$CellContext`k$$)/$CellContext`a$$]]]}], 16]]]]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style["  \!\(\*\nStyleBox[\"Vertex\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         If[$CellContext`a$$ != 0, 
          $CellContext`TradForm[
           Row[{"    (", $CellContext`x, ", ", $CellContext`y, 
             If[$CellContext`rationalize$$, ") = (", ") \[TildeEqual] ("], 
             If[$CellContext`rationalize$$, 
              Rationalize[$CellContext`h$$], $CellContext`h$$], 
             "\!\(\*\nStyleBox[\" \",\nFontSize->6]\); ", 
             If[$CellContext`rationalize$$, 
              Rationalize[$CellContext`k$$], $CellContext`k$$], ")"}], 16], 
          Style["     No Vertex", 14]]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "  \!\(\*\nStyleBox[\"Extreme\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Values\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`a$$ == 0, 
           Row[{
             Style[
             "     max, min\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
             If[$CellContext`rationalize$$, 
              Rationalize[$CellContext`k$$], $CellContext`k$$]}], 
           If[$CellContext`a$$ > 0, 
            Row[{
              Style["     min\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$]}], 
            Row[{
              Style["     max\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$]}]]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\nFontSize->14]\)", 
         Bold]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          
          Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
            If[$CellContext`rationalize$$, 
             Row[{" = ", 
               $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
             Row[{" \[TildeEqual] ", 
               $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "\!\(\*\nStyleBox[\"  \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Standard\
\",\nFontSize->13]\)\!\(\*\nStyleBox[\" \",\nFontSize->13]\)\!\(\*\nStyleBox[\
\"Form\",\nFontSize->13]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          
          Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
            If[$CellContext`rationalize$$, 
             Row[{" = ", 
               $CellContext`Rfs[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
             Row[{" \[TildeEqual] ", 
               $CellContext`fs[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`firstD$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{" = ", 
                $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              Row[{" \[TildeEqual] ", 
                $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`secondD$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{" = ", 
                $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              Row[{" \[TildeEqual] ", 
                $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`xx$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              
              Row[{" = ", -$CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              
              Row[{" \[TildeEqual] ", -$CellContext`f[$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`yy$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{" = ", 
                $CellContext`Rf[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              Row[{" \[TildeEqual] ", 
                $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`origin$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\
\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{
               " = ", -$CellContext`Rf[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              
              Row[{" \[TildeEqual] ", -$CellContext`f[-$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\
\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
            If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
            If[$CellContext`tangent$$, 
             If[$CellContext`rationalize$$, 
              $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$], 
              $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]], "\[Ellipsis]"]}], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
     456., {261., 306.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
     Typeset`skipInitDone$$ = False, $CellContext`rationalize$1388$$ = 
     False, $CellContext`a$1389$$ = 0, $CellContext`h$1390$$ = 
     0, $CellContext`k$1391$$ = 0, $CellContext`firstD$1392$$ = 
     False, $CellContext`secondD$1393$$ = False, $CellContext`xx$1394$$ = 
     False, $CellContext`yy$1395$$ = False, $CellContext`origin$1396$$ = 
     False, $CellContext`tangent$1397$$ = False, $CellContext`x0$1398$$ = 0}, 
     
     DynamicBox[Manipulate`ManipulateBoxes[
      2, StandardForm, 
       "Variables" :> {$CellContext`a$$ = 1, $CellContext`firstD$$ = 
         False, $CellContext`h$$ = 0, $CellContext`k$$ = 
         0, $CellContext`origin$$ = False, $CellContext`rationalize$$ = 
         True, $CellContext`secondD$$ = False, $CellContext`tangent$$ = 
         False, $CellContext`x0$$ = 0, $CellContext`xx$$ = 
         False, $CellContext`yy$$ = False}, "ControllerVariables" :> {
         Hold[$CellContext`rationalize$$, $CellContext`rationalize$1388$$, 
          False], 
         Hold[$CellContext`a$$, $CellContext`a$1389$$, 0], 
         Hold[$CellContext`h$$, $CellContext`h$1390$$, 0], 
         Hold[$CellContext`k$$, $CellContext`k$1391$$, 0], 
         Hold[$CellContext`firstD$$, $CellContext`firstD$1392$$, False], 
         Hold[$CellContext`secondD$$, $CellContext`secondD$1393$$, False], 
         Hold[$CellContext`xx$$, $CellContext`xx$1394$$, False], 
         Hold[$CellContext`yy$$, $CellContext`yy$1395$$, False], 
         Hold[$CellContext`origin$$, $CellContext`origin$1396$$, False], 
         Hold[$CellContext`tangent$$, $CellContext`tangent$1397$$, False], 
         Hold[$CellContext`x0$$, $CellContext`x0$1398$$, 0]}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> Labeled[
         DynamicModule[{$CellContext`p = {0, 
             $CellContext`f[
             0, $CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}}, 
          LocatorPane[
           Dynamic[$CellContext`p], 
           Plot[{
             $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$], 
             If[$CellContext`firstD$$, 
              $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]], 
             If[$CellContext`secondD$$, 
              $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]], 
             
             If[$CellContext`xx$$, -$CellContext`f[$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]], 
             If[$CellContext`yy$$, 
              $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]], 
             
             If[$CellContext`origin$$, -$CellContext`f[-$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]], 
             
             If[$CellContext`tangent$$, $CellContext`f[$CellContext`x0$$, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$] + \
$CellContext`Df[$CellContext`x0$$, $CellContext`a$$, $CellContext`h$$, \
$CellContext`k$$] ($CellContext`x - $CellContext`x0$$)]}, {$CellContext`x, \
$CellContext`xmin, $CellContext`xmax}, PlotRange -> 12, AspectRatio -> 
            Automatic, AxesLabel -> {$CellContext`x, "y"}, GridLines -> {
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}], 
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}]}, 
            GridLinesStyle -> Directive[LightGray, Dashed], ImageSize -> 450, 
            Epilog -> {
              Locator[
               Dynamic[{
                 First[$CellContext`p], 
                 $CellContext`f[
                  
                  First[$CellContext`p], $CellContext`a$$, $CellContext`h$$, \
$CellContext`k$$]}], ImageSize -> 12], 
              Inset[
               Framed[
                Column[{
                  Style["Plot Functions", 13], 
                  Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][17]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}], 
                  If[$CellContext`firstD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][8]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`secondD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][2]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"''\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`xx$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][9]], 
                    " \!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`yy$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][14]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`origin$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][11]], 
                    " \!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`tangent$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][6]], 
                    " \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}]]}], Background -> LightGreen, RoundingRadius -> 5,
                 FrameStyle -> {Gray, Thin}], {-8.2, -8.3}], 
              Inset[
               Framed[
                Style[
                 Column[{"Coordinates", 
                   
                   Row[{"\!\(\*\nStyleBox[\"    \",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)=\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)", 
                    Dynamic[
                    Part[$CellContext`p, 1]], "    "}], 
                   
                   Row[{"    \!\(\*\nStyleBox[\"y\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\
\[TildeEqual]\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)", 
                    Dynamic[
                    Part[$CellContext`p, 2]], "    "}]}], 13], Background -> 
                ColorData[35][4], RoundingRadius -> 5, 
                FrameStyle -> {Gray, Thin}], {7.5, -10}]}, PlotStyle -> {{
               ColorData[54][17], Thick}, {
               ColorData[54][8], Thick}, {
               ColorData[54][2], Thick}, {
               ColorData[54][9], Thick}, {
               ColorData[54][14], Thick}, {
               ColorData[54][11], Thick}, {
               ColorData[54][6]}}], Appearance -> None]], 
         Framed[
          Style[
          " \!\(\*\nStyleBox[\"F\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"-\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\"Quadratic\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->18,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"f\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"x\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"=\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"a\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"x\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"-\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"h\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[SuperscriptBox[\")\", \"2\"],\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\"+\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\"k\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)", Bold], Background -> ColorData[35][3], 
          RoundingRadius -> 5, FrameStyle -> Blue], Top], "Specifications" :> {
         Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`rationalize$$, True, ""}, {
          True -> "Exact", False -> "Approximate"}}, Delimiter, 
         Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`a$$, 1}, -5, 5, 0.01, ImageSize -> Small, 
          Appearance -> "Labeled"}, {{$CellContext`h$$, 0}, -5, 5, 0.01, 
          ImageSize -> Small, Appearance -> 
          "Labeled"}, {{$CellContext`k$$, 0}, -5, 5, 0.01, ImageSize -> Small,
           Appearance -> "Labeled"}, Delimiter, 
         Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`firstD$$, False, 
           Text[
            TraditionalForm[
             TraditionalForm[
              Text[
               Style[
                Derivative[1][$CellContext`f][$CellContext`x], 16]]]]]}, {
          True, False}, ControlPlacement -> 
          1}, {{$CellContext`secondD$$, False, 
           Text[
            TraditionalForm[
             TraditionalForm[
              Text[
               Style[
                Derivative[2][$CellContext`f][$CellContext`x], 16]]]]]}, {
          True, False}, ControlPlacement -> 2}, 
         Row[{"      ", 
           Manipulate`Place[1], "          ", 
           Row[{
             Manipulate`Place[2]}], "   "}], Delimiter, 
         Style["\!\(\*\nStyleBox[\"Symmetry\",\nFontSize->14]\)", Bold], "", 
         "   \!\(\*\nStyleBox[\"X\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`xx$$, False, 
           Text[
            TraditionalForm[
             TraditionalForm[
              Text[
               Style[
                Row[{-$CellContext`f[$CellContext`x], "   "}], 16]]]]]}, {
          True, False}, ControlPlacement -> 3}, 
         Row[{"             ", 
           Manipulate`Place[3]}], "", 
         "   \!\(\*\nStyleBox[\"Y\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`yy$$, False, 
           Text[
            TraditionalForm[
             TraditionalForm[
              Text[
               Style[
                Row[{
                  $CellContext`f[-$CellContext`x], "   "}], 16]]]]]}, {
          True, False}, ControlPlacement -> 4}, 
         Row[{"             ", 
           Manipulate`Place[4]}], "", 
         "   \!\(\*\nStyleBox[\"Axes\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Origin\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`origin$$, False, 
           Text[
            TraditionalForm[
             TraditionalForm[
              Text[
               Style[-$CellContext`f[-$CellContext`x], 16]]]]]}, {
          True, False}, ControlPlacement -> 5}, 
         Row[{"             ", 
           Manipulate`Place[5]}], Delimiter, 
         Style[
         "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \
\"0\"],\nFontSize->14]\)", 
          Bold], {{$CellContext`tangent$$, False, 
           "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\nFontSlant->\"Italic\
\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"Line\",\nFontSize->14,\nFontSlant->\"Italic\"]\)"}, {True, False}, 
          ControlPlacement -> 6}, 
         Row[{"      ", 
           Manipulate`Place[6]}], {{$CellContext`x0$$, 0}, -10, 10, 0.01, 
          ImageSize -> Small, Appearance -> "Labeled", ControlPlacement -> 7}, 
         Dynamic[
          If[$CellContext`tangent$$, 
           Row[{"      ", 
             Manipulate`Place[7]}], ""]], 
         Row[{
           Style[
           "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)", Bold], 
           Style[" \[DoubleStruckCapitalR]", 16]}], " ", "", 
         Dynamic[
          Style[
           Row[
            If[$CellContext`a$$ < 0, {
              Style[" Range = ", Bold], 
              Style["]-\[Infinity],", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$], 
              Style["]", 16]}, 
             If[$CellContext`a$$ > 0, {
               Style[" Range = ", Bold], 
               Style["[", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`k$$], $CellContext`k$$], 
               Style[",+\[Infinity][", 16]}, {
               Style[" Range = ", Bold], 
               Style["{", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`k$$], $CellContext`k$$], 
               Style["}", 16]}]]], 14]], Delimiter, 
         Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold], "", 
         Dynamic[
          If[
           Or[$CellContext`a$$ $CellContext`k$$ > 0, 
            And[$CellContext`a$$ == 0, $CellContext`k$$ != 0]], 
           Style["     No Real Zeros", 14], 
           If[
            And[$CellContext`a$$ == 0, $CellContext`k$$ == 0], 
            $CellContext`TradForm[
             
             Row[{"     ", $CellContext`x, 
               "\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)"}], 16], 
            If[$CellContext`k$$ == 0, 
             $CellContext`TradForm[
              Row[{"     ", $CellContext`x, 
                If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                If[$CellContext`rationalize$$, 
                 Rationalize[$CellContext`h$$], $CellContext`h$$]}], 16], 
             $CellContext`TradForm[
              Row[{"     ", $CellContext`x, 
                If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                If[$CellContext`rationalize$$, 
                 FullSimplify[Rationalize[$CellContext`h$$] - Sqrt[
                   Rationalize[(-$CellContext`k$$)/$CellContext`a$$]]], 
                 
                 FullSimplify[$CellContext`h$$ - 
                  Sqrt[(-$CellContext`k$$)/$CellContext`a$$]]], 
                "  \[Or]  ", $CellContext`x, 
                If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
                If[$CellContext`rationalize$$, 
                 FullSimplify[Rationalize[$CellContext`h$$] + Sqrt[
                    Rationalize[(-$CellContext`k$$)/$CellContext`a$$]]], 
                 
                 FullSimplify[$CellContext`h$$ + 
                  Sqrt[(-$CellContext`k$$)/$CellContext`a$$]]]}], 16]]]]], 
         Delimiter, 
         Style["  \!\(\*\nStyleBox[\"Vertex\",\nFontSize->14]\)", Bold], "", 
         Dynamic[
          If[$CellContext`a$$ != 0, 
           $CellContext`TradForm[
            Row[{"    (", $CellContext`x, ", ", $CellContext`y, 
              If[$CellContext`rationalize$$, ") = (", ") \[TildeEqual] ("], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`h$$], $CellContext`h$$], 
              "\!\(\*\nStyleBox[\" \",\nFontSize->6]\); ", 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$], ")"}], 16], 
           Style["     No Vertex", 14]]], Delimiter, 
         Style[
         "  \!\(\*\nStyleBox[\"Extreme\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Values\",\nFontSize->14]\)", Bold], "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`a$$ == 0, 
            Row[{
              Style[
              "     max, min\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
              
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`k$$], $CellContext`k$$]}], 
            If[$CellContext`a$$ > 0, 
             Row[{
               Style[
               "     min\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`k$$], $CellContext`k$$]}], 
             Row[{
               Style[
               "     max\!\(\*\nStyleBox[\" \",\nFontSize->7]\):  ", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`k$$], $CellContext`k$$]}]]], 16]], 
         Delimiter, 
         Style[
         "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\n\
FontSize->14]\)", Bold], "", 
         Dynamic[
          $CellContext`TradForm[
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{" = ", 
                $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              Row[{" \[TildeEqual] ", 
                $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 16]], "", 
         Style[
         "\!\(\*\nStyleBox[\"  \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"Standard\",\nFontSize->13]\)\!\(\*\nStyleBox[\" \",\nFontSize->13]\
\)\!\(\*\nStyleBox[\"Form\",\nFontSize->13]\)", Bold], 
         Dynamic[
          $CellContext`TradForm[
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, 
              Row[{" = ", 
                $CellContext`Rfs[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
              Row[{" \[TildeEqual] ", 
                $CellContext`fs[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`firstD$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, 
               Row[{" = ", 
                 $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
               Row[{" \[TildeEqual] ", 
                 $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
            Row[{
             "    \!\(\*\nStyleBox[\"f\.b4\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
            16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`secondD$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, 
               Row[{" = ", 
                 $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
               Row[{" \[TildeEqual] ", 
                 $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
            16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`xx$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, 
               
               Row[{" = ", -$CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
               
               Row[{" \[TildeEqual] ", -$CellContext`f[$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`yy$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, 
               Row[{" = ", 
                 $CellContext`Rf[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}], 
               Row[{" \[TildeEqual] ", 
                 $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]}]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`origin$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, 
               
               Row[{" = ", -$CellContext`Rf[-$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}], 
               
               Row[{" \[TildeEqual] ", -$CellContext`f[-$CellContext`x, \
$CellContext`a$$, $CellContext`h$$, $CellContext`k$$]}]]}], 
            Row[{
             "    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\
\"Italic\"]\)"}]], 16]], Delimiter, 
         Style[
         "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold], "", 
         Dynamic[
          $CellContext`TradForm[
           Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`tangent$$, 
              If[$CellContext`rationalize$$, 
               $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$], 
               $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`h$$, $CellContext`k$$]], "\[Ellipsis]"]}], 16]]}, 
       "Options" :> {
        ControlPlacement -> {
          Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
           Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
           Left, Left, Left, Left, Left, Left, Left, Left, Left, Right, Right,
            Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right}}, "DefaultOptions" :> {}],
      ImageSizeCache->{836., {320., 325.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     Initialization:>(($CellContext`TradForm[
          Pattern[$CellContext`arg, 
           Blank[]], 
          Pattern[$CellContext`size, 
           Blank[]]] = Text[
          TraditionalForm[
           TraditionalForm[
            Text[
             
             Style[$CellContext`arg, $CellContext`size]]]]]; \
$CellContext`xmin = -10; $CellContext`xmax = 10; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           
           Blank[]]] = $CellContext`a ($CellContext`x - $CellContext`h)^2 + \
$CellContext`k; $CellContext`fs[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] = $CellContext`a $CellContext`x^2 - ((
           2 $CellContext`a) $CellContext`h) $CellContext`x + $CellContext`a \
$CellContext`h^2 + $CellContext`k; $CellContext`Df[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] = D[
          $CellContext`f[$CellContext`x, $CellContext`a, $CellContext`h, \
$CellContext`k], $CellContext`x]; $CellContext`DDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] = D[
          $CellContext`Df[$CellContext`x, $CellContext`a, $CellContext`h, \
$CellContext`k], $CellContext`x]; $CellContext`TanEq[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := Expand[
          
          FullSimplify[$CellContext`f[$CellContext`x0, $CellContext`a, \
$CellContext`h, $CellContext`k] + $CellContext`Df[$CellContext`x0, \
$CellContext`a, $CellContext`h, $CellContext`k] ($CellContext`x - \
$CellContext`x0)]]; $CellContext`Rf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Rationalize[$CellContext`a] ($CellContext`x - 
            Rationalize[$CellContext`h])^2 + 
         Rationalize[$CellContext`k]; $CellContext`Rfs[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Rationalize[$CellContext`a] $CellContext`x^2 - 
         Rationalize[(2 $CellContext`a) $CellContext`h] $CellContext`x + 
         Rationalize[$CellContext`a $CellContext`h^2 + $CellContext`k]; \
$CellContext`RDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Rationalize[2 $CellContext`a] ($CellContext`x - 
          Rationalize[$CellContext`h]); $CellContext`RDDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := Rationalize[2 $CellContext`a]; $CellContext`TanEqR[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := Expand[
          FullSimplify[$CellContext`Rf[
             
             Rationalize[$CellContext`x0], $CellContext`a, $CellContext`h, \
$CellContext`k] + $CellContext`RDf[
              
              Rationalize[$CellContext`x0], $CellContext`a, $CellContext`h, \
$CellContext`k] ($CellContext`x - Rationalize[$CellContext`x0])]]; Null); 
      Typeset`initDone$$ = True),
     SynchronousInitialization->True,
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]]}]], "Input"]
},
WindowSize->{1280, 682},
WindowMargins->{{0, Automatic}, {Automatic, 2}},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowCellBracket->False,
ShowSelection->True,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 54133, 1166, 760, "Input"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature hu0ZLvb5GcL18Ag0FBL4fYRU *)
