(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     58714,       1262]
NotebookOptionsPosition[     59108,       1253]
NotebookOutlinePosition[     59717,       1277]
CellTagsIndexPosition[     59674,       1274]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{Cell[TextData[{
   StyleBox["\t",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.85, 0.85]],
   StyleBox["  F-Tool :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["F-Exponential",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox["\n\tAuthors :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Ana C. Concei\[CCedilla]\[ATilde]o",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Jos\[EAcute] C. Pereira",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["C\[AAcute]tia M. Silva",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox[", and ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["Cristina R. Sim\[ATilde]o",
    FontFamily->"Optima",
    FontSize->18,
    Background->None],
   StyleBox["                              \n\t     Year :  ",
    FontFamily->"Optima",
    FontSize->18,
    FontWeight->"Plain",
    Background->None],
   StyleBox["2012",
    FontFamily->"Optima",
    FontSize->18,
    Background->None]
  }], "Section",
   CellChangeTimes->{{3.560518296834669*^9, 3.5605183114080544`*^9}, {
    3.560518646082142*^9, 3.560518662165022*^9}, {3.560518702205791*^9, 
    3.560518800592577*^9}, {3.560518864590123*^9, 3.5605188705762587`*^9}},
   FontFamily->"Courier",
   FontSize->14,
   Background->RGBColor[0.8, 0.8, 0.4]], 
  TagBox[
   StyleBox[
    DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
     1, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`firstD$$ = 
     False, $CellContext`inverse$$ = False, $CellContext`origin$$ = 
     False, $CellContext`rationalize$$ = True, $CellContext`secondD$$ = 
     False, $CellContext`tangent$$ = False, $CellContext`x0$$ = 
     0, $CellContext`xx$$ = False, $CellContext`yy$$ = False, Typeset`show$$ =
      True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
     "\"untitled\"", Typeset`specs$$ = {{
       Hold[
        Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`rationalize$$], True, ""}, {
       True -> "Exact", False -> "Approximate"}}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`a$$], 1}, -5, 5, 0.01}, {{
        Hold[$CellContext`b$$], 1}, -5, 5, 0.01}, {{
        Hold[$CellContext`c$$], 0}, -5, 5, 0.01}, {{
        Hold[$CellContext`d$$], 0}, -5, 5, 0.01}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`firstD$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Derivative[1][$CellContext`f][$CellContext`x], 16]]]]]}, {
       True, False}}, {{
        Hold[$CellContext`secondD$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Derivative[2][$CellContext`f][$CellContext`x], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"      ", 
          Manipulate`Place[1], "          ", 
          Row[{
            Manipulate`Place[2]}], "   "}]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`inverse$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Superscript[$CellContext`f, -1][$CellContext`x], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"      ", 
          Manipulate`Place[3]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style["\!\(\*\nStyleBox[\"Symmetry\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"X\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`xx$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Row[{-$CellContext`f[$CellContext`x], "   "}], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[4]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"Y\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`yy$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[
             Row[{
               $CellContext`f[-$CellContext`x], "   "}], 16]]]]]}, {
       True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[5]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
       "   \!\(\*\nStyleBox[\"Axes\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\
\nFontSize->14]\)\!\(\*\nStyleBox[\"Origin\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)"], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`origin$$], False, 
        Text[
         TraditionalForm[
          TraditionalForm[
           Text[
            Style[-$CellContext`f[-$CellContext`x], 16]]]]]}, {True, False}}, {
       Hold[
        Row[{"             ", 
          Manipulate`Place[6]}]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \
\"0\"],\nFontSize->14]\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`tangent$$], False, 
        "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"Line\",\nFontSize->14,\nFontSlant->\"Italic\"]\)"}, {
       True, False}}, {
       Hold[
        Row[{"      ", 
          Manipulate`Place[7]}]], Manipulate`Dump`ThisIsNotAControl}, {{
        Hold[$CellContext`x0$$], 0}, -10, 10, 0.01}, {
       Hold[
        Dynamic[
         If[$CellContext`tangent$$, 
          Row[{"      ", 
            Manipulate`Place[8]}], ""]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Row[{
          Style[
          "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\" \",\nFontSize->14]\)", Bold], 
          Style[" \[DoubleStruckCapitalR]", 16]}]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         Style[
          Row[
           If[$CellContext`b$$ == 0, {
             Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
             
             Style["{", 16], 
             If[$CellContext`rationalize$$, 
              
              Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
             Style["}", 16]}, 
            If[$CellContext`a$$ < 0, {
              Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
              Style["]-\[Infinity]; ", 16], 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`d$$], $CellContext`d$$], 
              Style["[", 16]}, 
             If[$CellContext`a$$ > 0, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["]", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style["; +\[Infinity][", 16]}, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["{", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style["}", 16]}]]]], 14]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         If[
          And[$CellContext`b$$ != 0, $CellContext`a$$ $CellContext`d$$ < 0], 
          $CellContext`TradForm[
           Row[{"     \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              ReplaceAll[
               FullSimplify[
                $CellContext`RinvF[
                0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$]], $CellContext`lnFormat], 
              FullSimplify[
               N[
                $CellContext`invF[
                0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$]]]]}], 16], 
          If[
           Or[
            And[$CellContext`b$$ == 0, $CellContext`a$$ == -$CellContext`d$$], 
            And[$CellContext`a$$ == 0, $CellContext`d$$ == 0]], 
           $CellContext`TradForm[
            
            Row[{"     \!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[Element]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"\[DoubleStruckCapitalR]\",\nFontSize->14]\)\
\!\(\*\nStyleBox[\" \",\nFontSize->14]\)"}], 16], 
           Style["     No Real Zeros", 14]]]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style["  \!\(\*\nStyleBox[\"Asymptote\",\nFontSize->14]\)", Bold]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          Row[
           If[$CellContext`b$$ != 0, {"     ", 
             TraditionalForm[
              Style[$CellContext`y, 16]], " = ", 
             If[$CellContext`rationalize$$, 
              Rationalize[$CellContext`d$$], $CellContext`d$$]}, {"     ", 
             TraditionalForm[
              Style[$CellContext`y, 16]], " = ", 
             If[$CellContext`rationalize$$, 
              
              Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$]}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\nFontSize->14]\)", 
         Bold]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          
          Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\))", 
            If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
            If[$CellContext`rationalize$$, 
             $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
             $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`firstD$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
              $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`secondD$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
              $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`inverse$$, 
           If[
            And[$CellContext`a$$ != 0, $CellContext`b$$ != 0], 
            
            Row[{"    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  \
RowBox[{\"-\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              ReplaceAll[
               If[$CellContext`rationalize$$, 
                $CellContext`RinvF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
                $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], \
$CellContext`lnFormat]}], 
            "    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\", \
\"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"  \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
           
           Row[{"    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  \
RowBox[{\"-\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`xx$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             
             If[$CellContext`rationalize$$, -$CellContext`Rf[$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$], \
-$CellContext`f[$CellContext`x, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`yy$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
             $CellContext`f[-$CellContext`x], 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              $CellContext`Rf[-$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
              $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]]], 
       Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          If[$CellContext`origin$$, 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\
\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             
             If[$CellContext`rationalize$$, -$CellContext`Rf[-$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$], \
-$CellContext`f[-$CellContext`x, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$]]}], 
           
           Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\
\"Italic\"]\)"}]], 16]]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Style[
        "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
       Hold[
        Dynamic[
         $CellContext`TradForm[
          Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
            If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
            If[$CellContext`tangent$$, 
             If[$CellContext`rationalize$$, 
              $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
              $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], "\[Ellipsis]"]}], 
          16]]], Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
     467., {261., 306.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
     Typeset`skipInitDone$$ = False, $CellContext`rationalize$2586$$ = 
     False, $CellContext`a$2587$$ = 0, $CellContext`b$2588$$ = 
     0, $CellContext`c$2589$$ = 0, $CellContext`d$2590$$ = 
     0, $CellContext`firstD$2591$$ = False, $CellContext`secondD$2592$$ = 
     False, $CellContext`inverse$2593$$ = False, $CellContext`xx$2594$$ = 
     False, $CellContext`yy$2595$$ = False, $CellContext`origin$2596$$ = 
     False, $CellContext`tangent$2597$$ = False, $CellContext`x0$2598$$ = 0}, 
     
     DynamicBox[Manipulate`ManipulateBoxes[
      2, StandardForm, 
       "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
         1, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`firstD$$ = 
         False, $CellContext`inverse$$ = False, $CellContext`origin$$ = 
         False, $CellContext`rationalize$$ = True, $CellContext`secondD$$ = 
         False, $CellContext`tangent$$ = False, $CellContext`x0$$ = 
         0, $CellContext`xx$$ = False, $CellContext`yy$$ = False}, 
       "ControllerVariables" :> {
         Hold[$CellContext`rationalize$$, $CellContext`rationalize$2586$$, 
          False], 
         Hold[$CellContext`a$$, $CellContext`a$2587$$, 0], 
         Hold[$CellContext`b$$, $CellContext`b$2588$$, 0], 
         Hold[$CellContext`c$$, $CellContext`c$2589$$, 0], 
         Hold[$CellContext`d$$, $CellContext`d$2590$$, 0], 
         Hold[$CellContext`firstD$$, $CellContext`firstD$2591$$, False], 
         Hold[$CellContext`secondD$$, $CellContext`secondD$2592$$, False], 
         Hold[$CellContext`inverse$$, $CellContext`inverse$2593$$, False], 
         Hold[$CellContext`xx$$, $CellContext`xx$2594$$, False], 
         Hold[$CellContext`yy$$, $CellContext`yy$2595$$, False], 
         Hold[$CellContext`origin$$, $CellContext`origin$2596$$, False], 
         Hold[$CellContext`tangent$$, $CellContext`tangent$2597$$, False], 
         Hold[$CellContext`x0$$, $CellContext`x0$2598$$, 0]}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> Labeled[
         DynamicModule[{$CellContext`p = {0, 
             $CellContext`f[
             0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$]}}, 
          LocatorPane[
           Dynamic[$CellContext`p], 
           Plot[{
             $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
             If[$CellContext`firstD$$, 
              $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             If[$CellContext`secondD$$, 
              $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             If[
              
              And[$CellContext`inverse$$, $CellContext`a$$ != 
               0, $CellContext`b$$ != 0], 
              $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             If[
              
              And[$CellContext`inverse$$, $CellContext`a$$ != 
               0, $CellContext`b$$ != 0], $CellContext`x], 
             
             If[$CellContext`xx$$, -$CellContext`f[$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             If[$CellContext`yy$$, 
              $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             
             If[$CellContext`origin$$, -$CellContext`f[-$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], 
             
             If[$CellContext`tangent$$, $CellContext`f[$CellContext`x0$$, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$] + \
$CellContext`Df[$CellContext`x0$$, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$] ($CellContext`x - $CellContext`x0$$)]}, \
{$CellContext`x, $CellContext`xmin, $CellContext`xmax}, PlotRange -> 12, 
            AspectRatio -> Automatic, AxesLabel -> {$CellContext`x, "y"}, 
            GridLines -> {
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}], 
              Table[$CellContext`i, {$CellContext`i, -10, 10, 2}]}, 
            GridLinesStyle -> Directive[LightGray, Dashed], ImageSize -> 450, 
            Epilog -> {
              Locator[
               Dynamic[{
                 First[$CellContext`p], 
                 $CellContext`f[
                  
                  First[$CellContext`p], $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$]}], ImageSize -> 12], 
              Inset[
               Framed[
                Column[{
                  Style["Plot Functions", 13], 
                  Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][17]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}], 
                  If[$CellContext`firstD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][8]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"'\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`secondD$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][2]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"''\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[
                   
                   And[$CellContext`inverse$$, $CellContext`a$$ != 
                    0, $CellContext`b$$ != 0], 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][15]], 
                    " \!\(\*\nStyleBox[SuperscriptBox[\n  StyleBox[\"f\",\n\
FontSize->16,\nFontSlant->\"Italic\"], \n  RowBox[{\"-\", \"1\"}]],\n\
FontSize->16,\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\
\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\nFontSlant->\
\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`xx$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][9]], 
                    " \!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`yy$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][14]], 
                    " \!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`origin$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][11]], 
                    " \!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"f\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSize->16,\n\
FontSlant->\"Italic\"]\)"}]], 
                  If[$CellContext`tangent$$, 
                   Row[{
                    Style[
                    "  \!\(\*\nStyleBox[\"\[LongDash]\",\nFontSize->24]\)", 
                    ColorData[54][6]], 
                    " \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\n\
FontSlant->\"Italic\"]\)"}]]}], Background -> LightGreen, RoundingRadius -> 5,
                 FrameStyle -> {Gray, Thin}], {-8.2, -7.8}], 
              Inset[
               Framed[
                Style[
                 Column[{"Coordinates", 
                   
                   Row[{"\!\(\*\nStyleBox[\"    \",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", " = ", 
                    Dynamic[
                    Part[$CellContext`p, 1]], "    "}], 
                   Row[{
                    "    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
                    " \[TildeEqual] ", 
                    Dynamic[
                    Part[$CellContext`p, 2]], "    "}]}], 13], Background -> 
                ColorData[35][4], RoundingRadius -> 5, 
                FrameStyle -> {Gray, Thin}], {7.5, -10}]}, PlotStyle -> {{
               ColorData[54][17], Thick}, {
               ColorData[54][8], Thick}, {
               ColorData[54][2], Thick}, {
               ColorData[54][15], Thick}, {Black, Dashed}, {
               ColorData[54][9], Thick}, {
               ColorData[54][14], Thick}, {
               ColorData[54][11], Thick}, {
               ColorData[54][6]}}], Appearance -> None]], 
         Framed[
          Style[
          " \!\(\*\nStyleBox[\"F\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"-\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\"Exponential\",\nFontSize->24,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->24,\nFontColor->RGBColor[0.14233615625238422`, \
0.4197146562905318, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->18,\n\
FontColor->RGBColor[0.14233615625238422`, 0.4197146562905318, 0.]]\)\!\(\*\n\
StyleBox[\"f\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"x\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"=\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\"a\",\nFontSize->24,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->18,\nFontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\n\
StyleBox[SuperscriptBox[\n  StyleBox[\"\[ExponentialE]\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]], \n  RowBox[{\"b\", \n   RowBox[{\"(\", \n \
   RowBox[{\"x\", \"-\", \"c\"}], \")\"}]}]],\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\"+\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\"d\",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\)\!\(\*\nStyleBox[\" \",\nFontSize->24,\n\
FontColor->RGBColor[0.4, 0.2, 0.]]\) ", Bold], Background -> ColorData[35][3],
           RoundingRadius -> 5, FrameStyle -> Blue], Top], "Specifications" :> {
         Style["\!\(\*\nStyleBox[\"Arithmetic\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`rationalize$$, True, ""}, {
          True -> "Exact", False -> "Approximate"}}, Delimiter, 
         Style["\!\(\*\nStyleBox[\"Parameters\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`a$$, 1}, -5, 5, 0.01, ImageSize -> Small, 
          Appearance -> "Labeled"}, {{$CellContext`b$$, 1}, -5, 5, 0.01, 
          ImageSize -> Small, Appearance -> 
          "Labeled"}, {{$CellContext`c$$, 0}, -5, 5, 0.01, ImageSize -> Small,
           Appearance -> "Labeled"}, {{$CellContext`d$$, 0}, -5, 5, 0.01, 
          ImageSize -> Small, Appearance -> "Labeled"}, Delimiter, 
         Style["\!\(\*\nStyleBox[\"Derivatives\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`firstD$$, False, 
           $CellContext`TradForm[
            Derivative[1][$CellContext`f][$CellContext`x], 16]}, {
          True, False}, ControlPlacement -> 
          1}, {{$CellContext`secondD$$, False, 
           $CellContext`TradForm[
            Derivative[2][$CellContext`f][$CellContext`x], 16]}, {
          True, False}, ControlPlacement -> 2}, 
         Row[{"      ", 
           Manipulate`Place[1], "          ", 
           Row[{
             Manipulate`Place[2]}], "   "}], Delimiter, 
         Style[
         "\!\(\*\nStyleBox[\"Inverse\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Function\",\nFontSize->14]\)", Bold], 
         "", {{$CellContext`inverse$$, False, 
           $CellContext`TradForm[
            Superscript[$CellContext`f, -1][$CellContext`x], 16]}, {
          True, False}, ControlPlacement -> 3}, 
         Row[{"      ", 
           Manipulate`Place[3]}], Delimiter, 
         Style["\!\(\*\nStyleBox[\"Symmetry\",\nFontSize->14]\)", Bold], "", 
         "   \!\(\*\nStyleBox[\"X\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`xx$$, False, 
           $CellContext`TradForm[
            Row[{-$CellContext`f[$CellContext`x], "   "}], 16]}, {
          True, False}, ControlPlacement -> 4}, 
         Row[{"             ", 
           Manipulate`Place[4]}], "", 
         "   \!\(\*\nStyleBox[\"Y\",\nFontSize->14]\)\!\(\*\nStyleBox[\"-\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"Axis\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`yy$$, False, 
           $CellContext`TradForm[
            Row[{
              $CellContext`f[-$CellContext`x], "   "}], 16]}, {True, False}, 
          ControlPlacement -> 5}, 
         Row[{"             ", 
           Manipulate`Place[5]}], "", 
         "   \!\(\*\nStyleBox[\"Axes\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Origin\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->14]\)", {{$CellContext`origin$$, False, 
           $CellContext`TradForm[-$CellContext`f[-$CellContext`x], 16]}, {
          True, False}, ControlPlacement -> 6}, 
         Row[{"             ", 
           Manipulate`Place[6]}], Delimiter, 
         Style[
         "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"at\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"x\", \
\"0\"],\nFontSize->14]\)", 
          Bold], {{$CellContext`tangent$$, False, 
           "\!\(\*\nStyleBox[\"Tangent\",\nFontSize->14,\nFontSlant->\"Italic\
\"]\)\!\(\*\nStyleBox[\" \",\nFontSize->14,\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"Line\",\nFontSize->14,\nFontSlant->\"Italic\"]\)"}, {True, False}, 
          ControlPlacement -> 7}, 
         Row[{"      ", 
           Manipulate`Place[7]}], {{$CellContext`x0$$, 
           0}, $CellContext`xmin, $CellContext`xmax, 0.01, ImageSize -> Small,
           Appearance -> "Labeled", ControlPlacement -> 8}, 
         Dynamic[
          If[$CellContext`tangent$$, 
           Row[{"      ", 
             Manipulate`Place[8]}], ""]], 
         Row[{
           Style[
           "  \!\(\*\nStyleBox[\"Domain\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)", Bold], 
           Style[" \[DoubleStruckCapitalR]", 16]}], "", "", 
         Dynamic[
          Style[
           Row[
            If[$CellContext`b$$ == 0, {
              Style["\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
              Style["{", 16], 
              If[$CellContext`rationalize$$, 
               
               Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$], 
              Style["}", 16]}, 
             If[$CellContext`a$$ < 0, {
               Style[
               "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
               Style["]-\[Infinity]; ", 16], 
               If[$CellContext`rationalize$$, 
                Rationalize[$CellContext`d$$], $CellContext`d$$], 
               Style["[", 16]}, 
              If[$CellContext`a$$ > 0, {
                Style[
                "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
                Style["]", 16], 
                If[$CellContext`rationalize$$, 
                 Rationalize[$CellContext`d$$], $CellContext`d$$], 
                Style["; +\[Infinity][", 16]}, {
                Style[
                "\!\(\*\nStyleBox[\"  \",\nFontSize->9]\)Range = ", Bold], 
                Style["{", 16], 
                If[$CellContext`rationalize$$, 
                 Rationalize[$CellContext`d$$], $CellContext`d$$], 
                Style["}", 16]}]]]], 14]], Delimiter, 
         Style["  \!\(\*\nStyleBox[\"Zeros\",\nFontSize->14]\)", Bold], "", 
         Dynamic[
          If[
           
           And[$CellContext`b$$ != 0, $CellContext`a$$ $CellContext`d$$ < 
            0], 
           $CellContext`TradForm[
            Row[{"     \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              If[$CellContext`rationalize$$, 
               ReplaceAll[
                FullSimplify[
                 $CellContext`RinvF[
                 0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$]], $CellContext`lnFormat], 
               FullSimplify[
                N[
                 $CellContext`invF[
                 0, $CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$]]]]}], 16], 
           If[
            Or[
             
             And[$CellContext`b$$ == 
              0, $CellContext`a$$ == -$CellContext`d$$], 
             And[$CellContext`a$$ == 0, $CellContext`d$$ == 0]], 
            $CellContext`TradForm[
             
             Row[{"     \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[Element]\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[DoubleStruckCapitalR]\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)"}], 16], 
            Style["     No Real Zeros", 14]]]], Delimiter, 
         Style["  \!\(\*\nStyleBox[\"Asymptote\",\nFontSize->14]\)", Bold], 
         "", 
         Dynamic[
          $CellContext`TradForm[
           Row[
            If[$CellContext`b$$ != 0, {"     ", 
              TraditionalForm[
               Style[$CellContext`y, 16]], " = ", 
              If[$CellContext`rationalize$$, 
               Rationalize[$CellContext`d$$], $CellContext`d$$]}, {"     ", 
              TraditionalForm[
               Style[$CellContext`y, 16]], " = ", 
              If[$CellContext`rationalize$$, 
               
               Rationalize[$CellContext`a$$ + $CellContext`d$$], \
$CellContext`a$$ + $CellContext`d$$]}]], 16]], Delimiter, 
         Style[
         "  \!\(\*\nStyleBox[\"Analytic\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Expressions\",\n\
FontSize->14]\)", Bold], "", 
         Dynamic[
          $CellContext`TradForm[
           
           Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\
\"Italic\"]\))", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`rationalize$$, 
              $CellContext`Rf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
              $CellContext`f[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`firstD$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              If[$CellContext`rationalize$$, 
               $CellContext`RDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
               $CellContext`Df[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\",\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
            16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`secondD$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              If[$CellContext`rationalize$$, 
               $CellContext`RDDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
               $CellContext`DDf[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"f\.b4\.b4\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]],
            16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`inverse$$, 
            If[
             And[$CellContext`a$$ != 0, $CellContext`b$$ != 0], 
             
             Row[{"    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\
\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
               If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
               ReplaceAll[
                If[$CellContext`rationalize$$, 
                 $CellContext`RinvF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
                 $CellContext`invF[$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], \
$CellContext`lnFormat]}], 
             "    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  RowBox[{\"-\", \
\"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"  \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"does\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"not\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"exist\",\nFontSlant->\"Italic\"]\)\
\!\(\*\nStyleBox[\"!\",\nFontSlant->\"Italic\"]\)"], 
            
            Row[{"    \!\(\*\nStyleBox[SuperscriptBox[\"f\", \n  \
RowBox[{\"-\", \"1\"}]],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`xx$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              
              If[$CellContext`rationalize$$, -$CellContext`Rf[$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$], \
-$CellContext`f[$CellContext`x, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`yy$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)", 
              $CellContext`f[-$CellContext`x], 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              If[$CellContext`rationalize$$, 
               $CellContext`Rf[-$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
               $CellContext`f[-$CellContext`x, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"(\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\")\",\nFontSlant->\"Italic\"]\)"}]], 16]], "", "", 
         Dynamic[
          $CellContext`TradForm[
           If[$CellContext`origin$$, 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)", 
              If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
              
              If[$CellContext`rationalize$$, \
-$CellContext`Rf[-$CellContext`x, $CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`d$$], -$CellContext`f[-$CellContext`x, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`d$$]]}], 
            
            Row[{"    \!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"(\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"-\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\")\",\n\
FontSlant->\"Italic\"]\)"}]], 16]], Delimiter, 
         Style[
         "  \!\(\*\nStyleBox[\"Tangent\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"Line\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"Equation\",\nFontSize->14]\
\)", Bold], "", 
         Dynamic[
          $CellContext`TradForm[
           Row[{"    \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
             If[$CellContext`rationalize$$, " = ", " \[TildeEqual] "], 
             If[$CellContext`tangent$$, 
              If[$CellContext`rationalize$$, 
               $CellContext`TanEqR[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$], 
               $CellContext`TanEq[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`c$$, $CellContext`d$$]], "\[Ellipsis]"]}], 
           16]]}, "Options" :> {
        ControlPlacement -> {
          Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
           Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
           Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left, 
           Left, Left, Left, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right, Right, 
           Right, Right, Right, Right, Right, Right, Right, Right}}, 
       "DefaultOptions" :> {}],
      ImageSizeCache->{847., {309., 315.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     Initialization:>(($CellContext`TradForm[
          Pattern[$CellContext`arg, 
           Blank[]], 
          Pattern[$CellContext`size, 
           Blank[]]] = Text[
          TraditionalForm[
           TraditionalForm[
            Text[
             
             Style[$CellContext`arg, $CellContext`size]]]]]; \
$CellContext`lnFormat = 
        Log -> $CellContext`ln; $CellContext`xmin = -10; $CellContext`xmax = 
        10; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] = $CellContext`a 
          E^($CellContext`b ($CellContext`x - $CellContext`c)) + \
$CellContext`d; $CellContext`Df[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] = D[
          $CellContext`f[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d], $CellContext`x]; $CellContext`DDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] = D[
          $CellContext`Df[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d], $CellContext`x]; $CellContext`invF[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] = (1/$CellContext`b) 
          Log[($CellContext`x - $CellContext`d)/$CellContext`a] + \
$CellContext`c; $CellContext`TanEq[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] = Expand[
          
          FullSimplify[$CellContext`f[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`c, $CellContext`d] + \
$CellContext`Df[$CellContext`x0, $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d] ($CellContext`x - $CellContext`x0)]]; \
$CellContext`Rf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := 
        Rationalize[$CellContext`a] 
          E^(Rationalize[$CellContext`b] ($CellContext`x - 
             Rationalize[$CellContext`c])) + 
         Rationalize[$CellContext`d]; $CellContext`RDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := 
        Rationalize[$CellContext`a $CellContext`b] 
         E^(Rationalize[$CellContext`b] ($CellContext`x - 
            Rationalize[$CellContext`c])); $CellContext`RDDf[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := ((Rationalize[$CellContext`a] 
           Rationalize[$CellContext`b]) Rationalize[$CellContext`b]) 
         E^(Rationalize[$CellContext`b] ($CellContext`x - 
            Rationalize[$CellContext`c])); $CellContext`RinvF[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := Rationalize[1/$CellContext`b] Log[
            Rationalize[($CellContext`x - $CellContext`d)/$CellContext`a]] + 
         Rationalize[$CellContext`c]; $CellContext`TanEqR[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := Expand[
          FullSimplify[$CellContext`Rf[
             
             Rationalize[$CellContext`x0], $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d] + $CellContext`RDf[
              
              Rationalize[$CellContext`x0], $CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d] ($CellContext`x - 
             Rationalize[$CellContext`x0])]]; Null); 
      Typeset`initDone$$ = True),
     SynchronousInitialization->True,
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]]}]], "Input"]
},
WindowSize->{1278, 692},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowCellBracket->False,
ShowSelection->True,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 57641, 1218, 739, "Input"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature av0JJaAUvD9Y8A1lr89ZBKYO *)
